Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | Related Functions | List of all members
ranges::views::sample_fn Struct Reference
Inheritance diagram for ranges::views::sample_fn:

## Public Member Functions
template<typename Size , typename URNG = detail::default_random_engine> requires integral<Size> && uniform_random_bit_generator<URNG>
constexpr auto | operator() (Size n, URNG &urng=detail::get_random_engine()) const
Public Member Functions inherited from ranges::views::sample_base_fn
template<typename Rng , typename URNG = detail::default_random_engine> requires viewable_range<Rng> && input_range<Rng> && uniform_random_bit_generator<URNG> && convertible_to<invoke_result_t<URNG &>, range_difference_t<Rng>> && (sized_range<Rng> || sized_sentinel_for<sentinel_t<Rng>, iterator_t<Rng>> || forward_range<Rng>)
sample_view< all_t< Rng >, URNG > | operator() (Rng &&rng, range_difference_t< Rng > sample_size, URNG &generator=detail::get_random_engine()) const

## Related Functions
(Note that these are not member functions.)
constexpr sample_fn | sample {}